Subject: [lisp] FYI -- Noel on "names" [[email-masked]: Re: [rrg] No liveness requirement in the ID/Loc Split concept]

From: David Meyer <[email-masked]>
Date: Fri, 16 Jan 2009 09:22:26 -0800

----- Forwarded message from Noel Chiappa <[email-masked]> -----

> From: Noel Chiappa <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [rrg] No liveness requirement in the ID/Loc Split concept
> Date: Fri, 16 Jan 2009 00:46:47 -0500 (EST)
> 
>     > From: Brian E Carpenter <[email-masked]>
> 
>     > I've said from day one that LISP's use of the term 'EID' is incorrect,
>     > and it should be replaced by something like 'local locator' or 'level 0
>     > locator' or some such. 
> 
> Sorry, but it's _not_ a locator, and more an 'endpoint identifier' than
> anything else - at least, as far as the original definitions of those terms
> go.
> 
> (And might I remind people that the term "locator" came from Nimrod, and "EID"
> from you-know-where. So excuse me if I get a little cranky with people trying
> to tell me whether or not they are applicable to something, when I am
> perfectly darned happy with their use in that context.)
> 
> The thing that people seem to be forgetting, in making this claim, is that
> it's also important _what kind of thing_ is being named, not just _the
> attributes of the name itself_. Those are two orthagonal axes, and people
> still don't seem to be clearly understanding/remembering that most concept
> terms being thrown around here, such as locator, EID, etc, generally involves
> a _set_ of choices, one on each axis.
> 
> There seems to be a tendency to think 'locator' means 'name with topological
> significance', and that's _not_ what it was defined as - it meant '_interface
> name_ with topological significance'. (Actually, it was defined to be
> 'interface name with topological significance which does not appear in all
> packets', since people seemed terminally unable to wrap their minds around the
> concept of an 'address' that didn't appear in all packets.) Similarly, an
> 'EID' is an '_endpoint_ identifier without topological significance', not just
> 'name with no topological significance'.
> 
> We don't really have a generally-accepted term for 'endpoint name with
> topological significance'; 'address' has some of that flavour, but in
> e.g. IPv4 it also 'sort of' names an interface.
> 
> 
> With all this in hand, it's clear that a LISP EID does _not_ name an
> interface, but rather a 'stack' - i.e. an endpoint, with a collection of TCP
> connections. So to say that it's a 'locator' is wholly incorrect - it is
> _exactly_ an 'endpoint name', as that term was formally defined.
> 
> There is no one-word description/term which _exactly_ describes a LISP EID;
> it's a bit of a kludge (precisely because of installed base issues). To be
> maximally precise, a LISP 'EID' is 'a globally-unique endpoint name with
> topological significance within a local scope only'.
> 
> 	Noel
> _______________________________________________
> rrg mailing list
> [email-masked]
> http://www.irtf.org/mailman/listinfo/rrg

----- End forwarded message -----
_______________________________________________
lisp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lisp